API ReferenceAdmin Oidc Apps
Update Oidc App Branding
PUT
/v1/admin/oidc-apps/{client_id}/brandingAuthorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
client_id*Client Id
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Same shape as OidcAppBrandingConfig — typed separately so
the read and write contracts can drift independently in future.
Response Body
application/json
application/json
curl -X PUT "https://example.com/v1/admin/oidc-apps/string/branding" \ -H "Content-Type: application/json" \ -d '{}'{ "org_name": "string", "primary_color": "string", "accent_color": "string", "icon_logo_url": "string", "full_logo_url": "string", "short_message": "string"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}